Topic: php5-gd: Unable to load dynamic library gd.so

Last night I upgaded php 5.3.8 to 5.3.9 and gd lib crahed:

# php -v
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20090626/gd.so' - /usr/local/lib/php/20090626/gd.so: Undefined symbol "gdImageCreateFromXpm" in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20090626/gd.so' - /usr/local/lib/php/20090626/gd.so: Undefined symbol "gdImageCreateFromXpm" in Unknown on line 0
PHP 5.3.9 with Suhosin-Patch (cli) (built: Jan 14 2012 01:24:23) 
Copyright (c) 1997-2012 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2012 Zend Technologies
    with eAccelerator v0.9.6.1, Copyright (c) 2004-2010 eAccelerator, by eAccelerator

I reinstalled php5-gd, and now all works fine:

# cd /usr/ports/graphics/php5-gd/
# make deinstall clean
# make install clean

# php -v
PHP 5.3.9 with Suhosin-Patch (cli) (built: Jan 14 2012 01:24:23) 
Copyright (c) 1997-2012 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2012 Zend Technologies
    with eAccelerator v0.9.6.1, Copyright (c) 2004-2010 eAccelerator, by eAccelerator

Re: php5-gd: Unable to load dynamic library gd.so

Share